summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-09-14 09:19:55 +0200
committerRemi Collet <remi@remirepo.net>2021-09-14 09:19:55 +0200
commitdb06972bfaeeb7a8266bfb6d0487d9cf0f1695be (patch)
treed2b512f33a611bc0d038179f3a78cf502600451f
parentea60a0d2207806c847c23a7e26f3c87f04525fbd (diff)
update to 1.3.0 (no change)HEADmaster
keep compatibility using laminas-zendframework-bridge as this is only used using compat autolader
-rw-r--r--composer.json11
-rw-r--r--php-laminas-mvc-plugin-identity.spec16
2 files changed, 14 insertions, 13 deletions
diff --git a/composer.json b/composer.json
index 8872b15..9ea00f6 100644
--- a/composer.json
+++ b/composer.json
@@ -24,12 +24,11 @@
}
},
"require": {
- "php": "^7.3 || ~8.0.0",
+ "php": "^7.3 || ~8.0.0 || ~8.1.0",
"container-interop/container-interop": "^1.1",
"laminas/laminas-authentication": "^2.5.3",
"laminas/laminas-mvc": "^3.0",
- "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3"
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
@@ -37,7 +36,8 @@
"phpunit/phpunit": "^9.5"
},
"conflict": {
- "laminas/laminas-mvc": "<3.0.0"
+ "laminas/laminas-mvc": "<3.0.0",
+ "zendframework/zend-mvc-plugin-identity": "*"
},
"autoload": {
"psr-4": {
@@ -58,8 +58,5 @@
"cs-fix": "phpcbf",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
- },
- "replace": {
- "zendframework/zend-mvc-plugin-identity": "^1.1.1"
}
}
diff --git a/php-laminas-mvc-plugin-identity.spec b/php-laminas-mvc-plugin-identity.spec
index 4d3ea92..fb55762 100644
--- a/php-laminas-mvc-plugin-identity.spec
+++ b/php-laminas-mvc-plugin-identity.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 75cf6df47aef315521eb390ab1478e586fda4ec8
+%global gh_commit d22e7fb74f0395828df5cd42ed55d23a98569ed1
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-mvc-plugin-identity
@@ -24,7 +24,7 @@
%endif
Name: php-%{gh_project}
-Version: 1.2.0
+Version: 1.3.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj}/%{subsubp} component
@@ -66,12 +66,11 @@ BuildRequires: phpunit9 >= 9.5
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.3 || ~8.0.0",
+# "php": "^7.3 || ~8.0.0 || ~8.1.0",
# "container-interop/container-interop": "^1.1",
# "laminas/laminas-authentication": "^2.5.3",
# "laminas/laminas-mvc": "^3.0",
-# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
-# "laminas/laminas-zendframework-bridge": "^1.0"
+# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3"
Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
@@ -167,7 +166,7 @@ exit (class_exists("\\Zend\\%{library}\\%{subproj}\\%{subsubp}\\Module") ? 0 : 1
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php73 php74 php80; do
+for cmdarg in "php %{phpunit}" php73 php74 php80 php81; do
if which $cmdarg; then
set $cmdarg
$1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
@@ -192,6 +191,11 @@ exit $ret
%changelog
+* Tue Sep 14 2021 Remi Collet <remi@remirepo.net> - 1.3.0-1
+- update to 1.3.0 (no change)
+- keep compatibility using laminas-zendframework-bridge
+ as this is only used using compat autolader
+
* Wed Apr 14 2021 Remi Collet <remi@remirepo.net> - 1.2.0-1
- update to 1.2.0 (no change)
- raise dependency on PHP 7.3